package org.compiere.vos;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class GoalDetailVO implements Serializable {
	
	public NodeVO node;
	public String nameLabel;
	public String valueLabel;
	
	public GoalDetailVO(){
		rows = new ArrayList();
	}
	
	public void addDetailRow(NodeVO node, String name, double value){
		rows.add(new GoalDetailRowVO(node, name, value));
	}
	/**
	 *@gwt.typeArgs <org.compiere.vos.GoalDetailVO.GoalDetailRowVO>
	 */
	public List rows;
	public double maxValue;
	
	public static class GoalDetailRowVO implements Serializable{
		
		public GoalDetailRowVO(){
			
		}
		public GoalDetailRowVO(NodeVO node, String name, double value) {
			this.node = node;
			this.name = name;
			this.value = value;
		}
		public NodeVO node;
		public String name;
		public double value;
	}
}
